package sprzedaz;

import java.util.List;

import javax.swing.JOptionPane;

public class SumaJednegoMiasta_Imperatywnie3 {
    // Użytkownik wprowadza nazwę miasta, a program oblicza sumę wartości transacji z tego miasta.
    // W tej wersji stosujemy zwykłe pętle i ify,
    // a sumę liczymy jako double.
    
    public static void main(String[] args) {
        String miasto = JOptionPane.showInputDialog("Podaj miasto:");
        List<Transakcja> transakcje = ObslugaCsvTransakcji.wczytaj();
        
        double suma = 0;
        for(Transakcja tr : transakcje) {
            if(tr.miasto().equalsIgnoreCase(miasto)) {
                suma += tr.wartoscDouble();
            }
        }
        JOptionPane.showMessageDialog(null, "Suma: " + suma);
    }

}
